56 lines
1.5 KiB
Diff
56 lines
1.5 KiB
Diff
|
From ad967a08bbf67171a75acc84a9ea2ffbd9461aa5 Mon Sep 17 00:00:00 2001
|
||
|
From: Hannes Reinecke <hare@suse.de>
|
||
|
Date: Wed, 4 Jun 2014 12:04:10 +0200
|
||
|
Subject: 40network: always start netroot in ifup.sh
|
||
|
|
||
|
It's totally irrelevant how the network is configured when
|
||
|
trying to setup netroot. It only matters if it could be
|
||
|
configured at all.
|
||
|
So change the logic the check for correct network setup
|
||
|
and then start netroot.
|
||
|
|
||
|
References: bnc#881235
|
||
|
|
||
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||
|
---
|
||
|
modules.d/40network/ifup.sh | 22 ++++++++--------------
|
||
|
1 file changed, 8 insertions(+), 14 deletions(-)
|
||
|
|
||
|
diff --git a/modules.d/40network/ifup.sh b/modules.d/40network/ifup.sh
|
||
|
index 934c61e..494017b 100755
|
||
|
--- a/modules.d/40network/ifup.sh
|
||
|
+++ b/modules.d/40network/ifup.sh
|
||
|
@@ -420,21 +420,15 @@ for p in $(getargs ip=); do
|
||
|
do_static ;;
|
||
|
esac
|
||
|
|
||
|
- > /tmp/net.${netif}.up
|
||
|
+ if [ $? -eq 0 ]; then
|
||
|
+ > /tmp/net.${netif}.up
|
||
|
|
||
|
- case $autoconf in
|
||
|
- dhcp|on|any|dhcp6)
|
||
|
- ;;
|
||
|
- *)
|
||
|
- if [ $? -eq 0 ]; then
|
||
|
- setup_net $netif
|
||
|
- source_hook initqueue/online $netif
|
||
|
- if [ -z "$manualup" ]; then
|
||
|
- /sbin/netroot $netif
|
||
|
- fi
|
||
|
- fi
|
||
|
- ;;
|
||
|
- esac
|
||
|
+ setup_net $netif
|
||
|
+ source_hook initqueue/online $netif
|
||
|
+ if [ -z "$manualup" ]; then
|
||
|
+ /sbin/netroot $netif
|
||
|
+ fi
|
||
|
+ fi
|
||
|
|
||
|
exit 0
|
||
|
done
|
||
|
--
|
||
|
1.8.4.5
|
||
|
|